Finalize a council sage
curl --request GET \
--url {protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize \
--header 'Authorization: Bearer <token>'import requests
url = "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "<string>",
"role_level": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intro_question": "<string>",
"duration": 123,
"version": 123,
"sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"council_id": "<string>",
"results_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"active": true,
"tone": "<string>",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_avatar": "<string>",
"language_code": "<string>",
"followup_days": 123,
"audio": true,
"is_demo": true,
"is_internal": true,
"language": true,
"test_results": {}
}Council Sage
Finalize a council sage
Marks the council sage as finalized (ready for production use). Updates the status to the finalized state.
GET
/
pl
/
council-sage
/
{council_sage_id}
/
finalize
Finalize a council sage
curl --request GET \
--url {protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize \
--header 'Authorization: Bearer <token>'import requests
url = "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "62437",
CURLOPT_URL => "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("{protocol}://{host}:{port}/pl/council-sage/{council_sage_id}/finalize")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "<string>",
"role_level": "<string>",
"instructions": "<string>",
"results_instructions": "<string>",
"context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intro_question": "<string>",
"duration": 123,
"version": 123,
"sage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"council_id": "<string>",
"results_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta_data": {},
"active": true,
"tone": "<string>",
"status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chat_avatar": "<string>",
"language_code": "<string>",
"followup_days": 123,
"audio": true,
"is_demo": true,
"is_internal": true,
"language": true,
"test_results": {}
}Authorizations
User JWT token passed in Authorization header
Headers
Required JWT permission: council_sage (informational only -- enforced server-side)
Path Parameters
UUID of the council sage
Response
Council sage finalized
Council sage record (from CouncilSageModel.to_dict())